<p id="notice"><%= notice %></p>

  <% #debug(@execution) %>

<dl style="color:#555">
<dt>
id
</dt>
<dd>
<%= p(@execution.id) %>
</dd>
<dt>
query_id
</dt>
<dd>
<%= p(@execution.query_id) %>
</dd>
<dt>
sandbox_id
</dt>
<dd>
<%= p(@execution.sandbox_id) %>
</dd>
<dt>
start~end
</dt>
<dd>
  <%= p(@execution.start) %> ~ <%= p(@execution.end) %>
</dd>
<dt>
checksum
</dt>
<dd>
<%= p(@execution.checksum) %>
</dd>
<dt>
query
</dt>
<dd>
  <% #debug(@execution.query) %>
<code style="background: #eee">
  <%= p(@execution.query.sql) %>
</code>
</dd>
<% if @execution.error_code != 0 %>
<dt>
error
</dt>
<dd>
  <%= p(@execution.error_code) %>
  <%= p(@execution.error_msg) %>
</dd>
<%end%>
<dt>
tmptable
</dt>
<dd>
<% if @tmptable && @tmptable.first %>
<table style="border: 1px solid #000">
<tr>
<% @tmptable.first.attributes.each do |attr_name, attr_value| %>
<td><%= p attr_name %></td>
<% end %>
</tr>

<% @tmptable.each do |i|  %>
<tr>
<% i.attributes.each do |attr_name, attr_value| %>
<% if attr_name %>
<td><%= p attr_value %></td>
<% end %>
<% end %>
</tr>
<% end %>

</table>
<% end %>
</dd>
</dl>

<%= link_to 'Edit', edit_execution_path(@execution) %> |
<%= link_to 'Back', execution_index_path %>
